coap.h File Reference
`#include "coap3/libcoap.h"`
`#include "coap3/coap_forward_decls.h"`
`#include "coap3/address.h"`
`#include "coap3/async.h"`
`#include "coap3/block.h"`
`#include "coap3/coap_cache.h"`
`#include "coap3/coap_debug.h"`
`#include "coap3/coap_dtls.h"`
`#include "coap3/coap_event.h"`
`#include "coap3/coap_io.h"`
`#include "coap3/coap_prng.h"`
`#include "coap3/coap_time.h"`
`#include "coap3/encode.h"`
`#include "coap3/mem.h"`
`#include "coap3/net.h"`
`#include "coap3/option.h"`
`#include "coap3/pdu.h"`
`#include "coap3/resource.h"`
`#include "coap3/str.h"`
`#include "coap3/subscribe.h"`
`#include "coap3/uri.h"`
Include dependency graph for coap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"
#define | LIBCOAP_PACKAGE_NAME "libcoap"
#define | LIBCOAP_PACKAGE_STRING "libcoap 4.3.0"
#define | LIBCOAP_PACKAGE_URL "https://libcoap.net/"
#define | LIBCOAP_PACKAGE_VERSION "4.3.0"
#define | LIBCOAP_VERSION (4003000U)

## Macro Definition Documentation

## LIBCOAP_PACKAGE_BUGREPORT

#define LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"

Definition at line 17 of file coap.h.

## LIBCOAP_PACKAGE_NAME

#define LIBCOAP_PACKAGE_NAME "libcoap"

Definition at line 20 of file coap.h.

## LIBCOAP_PACKAGE_STRING

#define LIBCOAP_PACKAGE_STRING "libcoap 4.3.0"

Definition at line 23 of file coap.h.

## LIBCOAP_PACKAGE_URL

#define LIBCOAP_PACKAGE_URL "https://libcoap.net/"

Definition at line 26 of file coap.h.

## LIBCOAP_PACKAGE_VERSION

#define LIBCOAP_PACKAGE_VERSION "4.3.0"

Definition at line 29 of file coap.h.

## LIBCOAP_VERSION

#define LIBCOAP_VERSION (4003000U)

Definition at line 32 of file coap.h.